/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


/*#### UTILITIES ####*/
html {
    font-size: 15px!important;
}

body{
    overflow-x: hidden;
}

.hide{
    display:none;
}
/*@media (max-width: 768px) {*/
/*    .hide{*/
/*        display:block;*/
/*    }*/
/*}*/

@media screen and (min-width: 769px) {
    .mobile{
        display:none!important;
    }
}

.no-event {
    pointer-events: none;
}
/*#### UTILITIES ####*/

/* MODALS */
.modal {
    backdrop-filter: blur(15px) brightness(0.5) opacity(0.5) !important;
    /* background-color: #ffffff2b; */
}
.modal-content {
    background-color: transparent!important;
    border: none!important;
}
.modal-footer, .modal-header {
    border: none!important;
    padding: 0!important;
}
.modal-header .btn-close {
    background-color: #fff;
    padding: 25px;
    border-radius: 50%;
    opacity: 1;
    cursor: pointer;
}

/*.c-modal {background-color: rgba(0, 0, 0, 0.85);}*/
/*.c-modal .modal-content {background-color: transparent; border: none;}*/
/*.c-modal .modal-header .btn-close {background-color: #fff; border-radius: 50%; cursor: pointer;}*/
/*.c-modal .modal-header .btn {background-color: #000;}*/
/*.c-modal .modal-header, .c-modal .modal-footer {border: none;}	*/
/*.modal-footer, .modal-header {border: none;}*/
/* MODALS */
	
/* FIX FOR BT5 POPUP AND GOOGLE AUTOCOMPLETE DROPDOWN */
.modal {z-index: 1001 !important;}
.modal-backdrop {z-index: 1000 !important;}
.pac-container {z-index: 1055 !important;}
/* FIX FOR BT5 POPUP AND GOOGLE AUTOCOMPLETE DROPDOWN */


/*#### THANK YOU PAGE ####*/
p#thx-msg-content {
    text-align: center;
    font-size: 1.1em;
    color: #ffffff;
}

#channel-form > div {
    color: #ffffff;
    text-align: center;
}

#channel-form > div small {
    color: #cccccc;
    font-style: italic;
}

#channel-form .submitted-message {
    margin-top: 15px;
    font-size: 20px;
    text-align: center;
    font-weight: bold;
    color: #a8d46f;
}

#channel-form form {
    width: 320px;
    margin: 20px auto;
}

#channel-form form .hs_email {
    position: absolute;
    top: -9999999999999999999999999999999999px;
}

label[id*="label-how_did"]{
    position: absolute;
    left: 9999999999999px;
}

#channel-form form li input[type="checkbox"] {
    position: absolute;
    left: -9999999999999999999999999999999999px;
}

#channel-form form ul {
    padding: 0;
    text-indent: 0;
    display: flex;
    flex-wrap: wrap;
    margin:0;
}

#channel-form form li {
    list-style-type: none;
    display: inline-block;
    text-align: center;
    margin-bottom: 20px;
}

#channel-form form li:nth-child(1),
#channel-form form li:nth-child(2),
#channel-form form li:nth-child(3),
#channel-form form li:nth-child(8),
#channel-form form li:nth-child(9),
#channel-form form li:nth-child(10) {
    width: 33.3%;
}

#channel-form form li:nth-child(4),
#channel-form form li:nth-child(5),
#channel-form form li:nth-child(6),
#channel-form form li:nth-child(7){
    width: 25%;
}

#channel-form form li input+span:before {
    display: block;
    width: 70px;
    height: 70px;
    margin: 0 auto;
    content: "";
    background-size: contain;
}

#channel-form form li label {
    cursor: pointer;
    color: #ffffff;
    font-weight: 500;
}

#channel-form form li span:before {
    border: 3px solid #8ca3b4;
    border-radius: 10px;
    background-color: #e8eef3;
    opacity: 0.9;
    transition: 0.3s;
}

#channel-form form li span:hover::before {
    opacity: 1;
    border-color: #f5a800;
    box-shadow: 0 0 15px -3px rgba(245, 168, 0, 0.5);
}

#channel-form form li input:checked + span:before {
    border-color: #f5a800;
    background-color: #f5a800;
    opacity: 1;
}

#channel-form form .hs-button {
    width: 200px;
    color: #003d6b;
    background-color: #f5a800;
    font-weight: 700;
    padding: 12px;
    text-transform: uppercase;
    border: none;
    cursor: pointer;
}

#channel-form form .hs-button:hover {
    background-color: #ffc233;
}

#channel-form .hs-error-msgs li {
    width: 100% !important;
}
#channel-form .hs-error-msgs li label {
    font-weight: 700;
}
#channel-form .hs_error_rollup{
    display:none!important;
}

.page-thank-you #channel-form form li:nth-child(1) input+span:before {
    background-image: url(https://roofmaxx.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-tv-only.png);
}
.page-thank-you #channel-form form li:nth-child(2) input+span:before {
    background-image: url(https://roofmaxx.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-tv-streaming.png);
}
.page-thank-you #channel-form form li:nth-child(3) input+span:before {
    background-image: url(https://roofmaxx.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-social-media.png);
}
.page-thank-you #channel-form form li:nth-child(4) input+span:before {
    background-image: url(https://roofmaxx.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-online.png);
}
.page-thank-you #channel-form form li:nth-child(5) input+span:before {
    background-image: url(https://roofmaxx.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-radio.png);
}
.page-thank-you #channel-form form li:nth-child(6) input+span:before {
    background-image: url(https://roofmaxx.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-referrals.png);
}
.page-thank-you #channel-form form li:nth-child(7) input+span:before {
    background-image: url(https://roofmaxx.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-event.png);
}
.page-thank-you #channel-form form li:nth-child(8) input+span:before {
    background-image: url(https://roofmaxx.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-postcard.png);
}
.page-thank-you #channel-form form li:nth-child(9) input+span:before {
    background-image: url(https://roofmaxx.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-vehicles.png);
}
.page-thank-you #channel-form form li:nth-child(10) input+span:before {
    background-image: url(https://roofmaxx.com/wp-content/themes/hello-theme-child-master/thank-you-page/icon-print-ad.png);
}

@media screen and (max-width: 485px) {
    div.content:not(.block_light_gray) {
        width: 100%;
        position: relative;
        display: flex;
        flex-direction: column;
        text-align: center;
        padding: 1em 2em;
    }
    .thx-msg {
        padding: 0px !important;
    }
    #channel-form form li input+span:before {
        width: 60px;
        height: 60px;
   }
   #channel-form form li {
        margin: 0 auto 20px;
    }
}
@media screen and (max-width: 360px) {
    #channel-form form {
        width: 100%;
    }
}
/*#### THANK YOU PAGE ####*/





